Browsium

Knowledge Base

What are the system requirements for Catalyst?

The following minimum system specifications are required to run Browsium Catalyst.

Operating System Windows 7 or later
Windows Server 2008 R2 or later (for multi-user terminal servers)
Browsers Microsoft Internet Explorer 8, 9, 10, or 11
Microsoft Edge 40 or later
Google Chrome 39 or later
Mozilla Firefox 52 or later (41 or later with Browsium legacy extension)
.NET Framework Version 3.5 SP1 or later (full version only)
Processor 1 GHz or faster 32-bit (x86) or 64-bit (x64) processor
Memory 1 GB total system RAM; 2GB for multi-user terminal servers


Posted in: Catalyst FAQs, Catalyst Knowledge Base

  • Share:  

Request Demo